> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/reports/list-reports/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # List all Reports GET https://api.sandbox.mangopay.com/v2.01/{ClientId}/reports List all legacy reports Reference: https://docs.mangopay.com/api-reference/reports/list-reports ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. ### Query parameters - `BeforeDate` (integer, optional) — The date before which the report was created (based on the report's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters. - `AfterDate` (integer, optional) — The date after which the report was created (based on the report's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters. ## Response ### 200 Success - `Array (Reports)` (list of ListAllReportsResponseLegacyArrayReportsItems, optional) — The list of reports created by the platform. ## Types ### ListAllReportsResponseLegacyArrayReportsItems - `Object (Reports)` (ListAllReportsResponseLegacyArrayReportsItemsObjectReports, optional) — The Report object created by the platform. ### ListAllReportsResponseLegacyArrayReportsItemsObjectReports The Report object created by the platform. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `ReportDate` (integer, optional, nullable) — Unix timestamp (UTC) of the date and time the report was generated. - `Status` (string, optional) — **Returned values:** `PENDING`, `READY_FOR_DOWNLOAD`, `FAILED`, `EXPIRED` The status of the report: - `PENDING` – The report is being generated. - `READY_FOR_DOWNLOAD` – The report has been created, and can be downloaded. - `FAILED` – The report cannot be generated. - `EXPIRED` – The report was created, but is no longer available for download (it can be re-run to be downloaded again with fresh data). - `DownloadFormat` (string, optional) — **Returned values:** `CSV` The format in which the report is going to be downloaded. - `DownloadURL` (string, optional, nullable) — The URL at which the report file can be downloaded when the `Status` is `GENERATED`. - `CallbackURL` (string, optional) — Max. length: 255 characters The URL to which the notification indicating that the report is ready to be downloaded will be sent. - `ReportType` (string, optional) — **Returned values:** `TRANSACTIONS`, `WALLETS` The type of the report, indicating whether it lists transactions or wallets. - `Sort` (string, optional) — The sorting direction of the CreationDate column. By default, the generated report is sorted by ascending creation date. - `Preview` (boolean, optional) — Whether the report is limited to the first 10 lines (and therefore quicker to generate). - `Filters` (BeforeDateAfterDateType, optional) — The filtering parameters to optimize the report. - `Columns` (list of string, optional) — **Returned values:** The `Columns` listed in the Reports article, which differ according to the report type. The information to be included in the report. - `ResultCode` (string, optional) — The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes. - `ResultMessage` (string, optional) — The explanation of the result code. ### BeforeDateAfterDateType The filtering parameters to optimize the report. - `BeforeDate` (integer, optional) — **Returned values:** Any date between today's date and 36 months in the past. The date before which the transaction was created (based on the transaction's `CreationDate` parameter). **Caution:** The time range between the `BeforeDate` and the `AfterDate` cannot exceed 6 months. - `AfterDate` (integer, optional) — The date after which the transaction was created (based on the transaction's `CreationDate` parameter). **Caution:** The time range between the `BeforeDate` and the `AfterDate` cannot exceed 6 months. - `Type` (list of string, optional) — The transaction types to be taken into account. - `ResultCode` (list of string, optional) — The transaction result codes to be taken into account. - `Status` (list of string, optional) — The transaction statuses to be taken into account. - `Nature` (list of string, optional) — **Returned values:** `REGULAR`, `REPUDIATION`, `REFUND`, `SETTLEMENT` The transaction natures to be taken into account. - `REGULAR` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow. - `REPUDIATION` – Automatic withdrawal of funds from the platform's repudiation wallet as part of the dispute process (when the user has requested a chargeback). - `REFUND` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay). - `SETTLEMENT` – Transfer made to the repudiation wallet by the platform to settle a lost dispute. - `WalletId` (string, optional) — The unique identifier of the wallet that is to be taken into account. - `AuthorId` (string, optional) — The unique identifier of the user at the source of the transaction. - `MinDebitedFundsAmount` (integer, optional) — The debited funds amount above which the transactions are taken into account. - `MinDebitedFundsCurrency` (string, optional) — **Returned values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the `MinDebitedFundsAmount` value. - `MaxDebitedFundsAmount` (integer, optional) — The debited funds amount below which the transactions are taken into account. - `MaxDebitedFundsCurrency` (string, optional) — **Returned values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the `MaxDebitedFundsAmount` value. - `MinFeesAmount` (integer, optional) — The fees amount below which the transactions are taken into account. - `MinFeesCurrency` (string, optional) — **Returned values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the `MinFeesAmount` value. - `MaxFeesAmount` (integer, optional) — The fees amount above which the transactions are taken into account. - `MaxFeesCurrency` (string, optional) — **Returned values:** The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings). The currency of the `MaxFeesAmount` value. ## Examples **Response** ```json [ { "CallbackURL": null, "Columns": [ "Id", "Tag", "CreationDate", "ExecutionDate", "AuthorId", "CreditedUserId", "DebitedFundsAmount", "DebitedFundsCurrency", "CreditedFundsAmount", "CreditedFundsCurrency", "FeesAmount", "FeesCurrency", "Status", "ResultCode", "ResultMessage", "Type", "Nature", "CreditedWalletId", "DebitedWalletId" ], "CreationDate": 1734429204, "DownloadFormat": "CSV", "DownloadURL": "https://downloads.sandbox.mangopay.com/85565d93430945388122986252982648.csv?Policy=eyJTdGF0ZW1lbnQiOiBbeyJSZXNvdXJjZSI6IioiLCJDb25kaXRpb24iOnsiRGF0ZUxlc3NUaGFuIjp7IkFXUzpFcG9jaFRpbWUiOjE3MzQ1MTU2MDR9fX1dfQ__&Signature=YvcEtwjbs2hR4mOb2UuGICdh082lFrCjS1XtwJ~Zem7~vDc8bPPo-2kBA-Neb0Hs7V9gApR5mJ9B6RPOgDzKKdBEVD4iBS066eNYIymuW2fY5IXjfuzFgv0id5yi2ynFcmX02sgSgd9WGChYpUTBH36R-McNbAPG3viOu8FZ5LM9IWR44qnMwrM-8IWXPBpg9yh7uZy6ehDjJpoi9tswNnzt445vpORRMF3clMl~tRel59EcsMV73c-~B1Qvd9inBa6msh6eww~kkcP5FE~MCr4oQ-DsX0lZPAXLoSOJNbhOotNqKgwlBrYwAT1gLV510kUlbJy~4bPDmmsgbSqETw__", "Filters": { "AfterDate": 1655725644, "AuthorId": null, "BeforeDate": 1658317644, "MaxDebitedFundsAmount": null, "MaxDebitedFundsCurrency": null, "MaxFeesAmount": null, "MaxFeesCurrency": null, "MinDebitedFundsAmount": null, "MinDebitedFundsCurrency": null, "MinFeesAmount": null, "MinFeesCurrency": null, "Nature": [], "ResultCode": [], "Status": [], "Type": [], "WalletId": null }, "Id": "report_m_01JFA0JQQJ1X6W6VT6042SASTC", "Preview": false, "ReportDate": 1734429204, "ReportType": "TRANSACTIONS", "ResultCode": "000000", "ResultMessage": "Success", "Sort": "CreationDate:ASC", "Status": "READY_FOR_DOWNLOAD", "Tag": "Created using Mangopay API Postman Collection" }, { "CallbackURL": null, "Columns": [ "Id", "Tag", "CreationDate", "Owners", "Description", "BalanceAmount", "BalanceCurrency", "Currency", "FundsType" ], "CreationDate": 1734429356, "DownloadFormat": "CSV", "DownloadURL": "https://downloads.sandbox.mangopay.com/fd9f07b1c84a444aaca68eca2f597495.csv?Policy=eyJTdGF0ZW1lbnQiOiBbeyJSZXNvdXJjZSI6IioiLCJDb25kaXRpb24iOnsiRGF0ZUxlc3NUaGFuIjp7IkFXUzpFcG9jaFRpbWUiOjE3MzQ1MTU3NTZ9fX1dfQ__&Signature=PL0gj96VDkO43AtYkWJyoO7nj1wAFH7axqTwIVLWq3JHN1dadvBoQHaZb~P8tg3PFV3JSjv5MRu62JnHKFzlOAxW6-rpY7zN2MtsNTy9X32c63crC7MqxfZMNze4xkedbmQ~afsFfO6JAncwa40osf28x-1E64K7NrXjGxGO2RykEpwoyJz2g01qY8yjEONYmc0HEdg3lp1OBpLF~Ep3IRQkWLuLfIPbogGsj~NxbTgjQOqM7l~A7KHY5VOgHi-9fR4dd2uI4f-84BbTxmtcv0Uz~um5GhzsjejOV0TEziGVXvxtTEXK7h4cHVHm9YfR4G0jOZi9oRgkW0WYCIz31Q__", "Filters": { "AfterDate": 1656246931, "BeforeDate": 1658838931, "Currency": null, "MaxBalanceAmount": null, "MaxBalanceCurrency": null, "MinBalanceAmount": null, "MinBalanceCurrency": null, "OwnerId": null }, "Id": "report_m_01JFA0QC7K9CJ339JX4KV08CMW", "Preview": false, "ReportDate": 1734429356, "ReportType": "WALLETS", "ResultCode": "000000", "ResultMessage": "Success", "Sort": "CreationDate:ASC", "Status": "READY_FOR_DOWNLOAD", "Tag": "Created using Mangopay API Postman Collection" } ] ``` **SDK Code** ```python from pprint import pprint import mangopay mangopay.client_id='your-client-id' mangopay.apikey='your-api-key' from mangopay.api import APIRequest handler = APIRequest(sandbox=True) from mangopay.resources import Report reports = Report.all() for report in reports: pprint(report._data) print() ``` ```javascript const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) const listReports = async () => { return await mangopay.Reports.getAll() .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } listReports() ``` ```csharp using MangoPay.SDK; using Newtonsoft.Json; class Program { static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var reports = await api.Reports.GetAllAsync(); string prettyPrint = JsonConvert.SerializeObject(reports, Formatting.Indented); Console.WriteLine(prettyPrint); } } ``` ```php Config->ClientId = 'your-client-id'; $api->Config->ClientPassword = 'your-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $response = $api->Reports->GetAll(); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ```ruby require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-client-id' client.client_apiKey = 'your-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def listAllReports() begin begin response = MangoPay::Report.fetch() puts response return response rescue MangoPay::ResponseError => error puts "Failed to fetch Reports: #{error.message}" puts "Error details: #{error.details}" return false end end end listAllReports() ```